import request from '@/utils/request'

// 查询附件信息列表
export function listImage(query) {
  return request({
    url: '/system/image/list',
    method: 'get',
    params: query
  })
}

// 查询附件信息详细
export function getImage(imageId) {
  return request({
    url: '/system/image/' + imageId,
    method: 'get'
  })
}

// 新增附件信息
export function addImage(data) {
  return request({
    url: '/system/image',
    method: 'post',
    data: data
  })
}

// 修改附件信息
export function updateImage(data) {
  return request({
    url: '/system/image',
    method: 'put',
    data: data
  })
}

// 删除附件信息
export function delImage(imageId) {
  return request({
    url: '/system/image/' + imageId,
    method: 'delete'
  })
}
